org.codehaus.plexus.components.interactivity

## Interface OutputHandler

All Known Implementing Classes:
  DefaultOutputHandler

    public interface OutputHandler

Manage user output to different sources.

Version:
  $Id: OutputHandler.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write(String line)` Write a single line of input, excluding the newline at the end.
`void` `writeLine(String line)` Write a single line of input, including the newline at the end.

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### write

    void write(String line)
        throws IOException

Write a single line of input, excluding the newline at the end.

Parameters:
  `line` - the line
Throws:
  `IOException`

#### writeLine

    void writeLine(String line)
            throws IOException

Write a single line of input, including the newline at the end.

Parameters:
  `line` - the line
Throws:
  `IOException`